Bug 891175 - node-gyp - Node.js native addon build tool
node-gyp - Node.js native addon build tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
: Reopened
Depends On: 891190 891193 891194 891205 891206 891210 891213 891220 891229 891231 891235 891238 891240
Blocks: 891171
  Show dependency treegraph
 
Reported: 2013-01-02 02:56 EST by T.C. Hollingsworth
Modified: 2013-04-05 19:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-15 21:40:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mhroncok: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-01-02 02:56:15 EST
Spec: http://patches.fedorapeople.org/npm/node-gyp.spec
SRPM: http://patches.fedorapeople.org/npm/node-gyp-0.8.2-1.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4830917
FAS username: patches

node-gyp is a cross-platform command-line tool written in Node.js for compiling
native addon modules for Node.js, which takes away the pain of dealing with the
various differences in build platforms. It is the replacement to the node-waf
program which is removed for node v0.8.

This package is part of the npm stack and a future F19 Feature for Node.js.

This package may depend on other packages in the npm stack that aren't explicitly
listed as dependencies of this bug.  For more information, see bug 891171.

Please use nodejs-0.6.5-3 or later when building or using this package.
Comment 1 T.C. Hollingsworth 2013-01-02 03:02:46 EST
The above scratch build failed due to a bug in an automated script.

This one worked:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4830933
Comment 2 Stephen Gallagher 2013-01-02 07:35:46 EST
Why are you repackaging this? There is an existing gyp package (which I used to build the nodejs package) that works just fine.
Comment 3 Stephen Gallagher 2013-01-02 07:36:00 EST
http://koji.fedoraproject.org/koji/packageinfo?packageID=10774 for the record
Comment 4 T.C. Hollingsworth 2013-01-02 07:55:33 EST
(In reply to comment #2)
> Why are you repackaging this? There is an existing gyp package (which I used
> to build the nodejs package) that works just fine.

This is not gyp, it's node-gyp, a tool that uses gyp to build binary node addon mnodules.
Comment 5 T.C. Hollingsworth 2013-01-05 05:41:33 EST
This version of node-gyp has been patched to use RPM-installed include files for node, libuv, and v8 if --target or --nodedir aren't specified on the command line.  This means both npm and RPM-built native modules will no longer require a complete node source tree to build.  (Users can still force it with --target if they need that for some reason.)

With this and nodejs-0.9.5-4, everything is in place to build both pure-JS and binary node module RPMs.

Spec: http://patches.fedorapeople.org/npm/node-gyp.spec
SRPM: http://patches.fedorapeople.org/npm/node-gyp-0.8.2-2.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4842410
Comment 6 Michael Scherer 2013-01-06 12:13:02 EST
http://patches.fedorapeople.org/npm/node-gyp-0.8.2-2.fc17.src.rpm is missing, error 404
Comment 7 T.C. Hollingsworth 2013-01-10 02:09:10 EST
Sorry, I missed your comment somehow.  Anyway, I updated all my packages to fix issues found in other reviews like missing %build sections, so here's a new one:

Spec: http://patches.fedorapeople.org/npm/node-gyp.spec
SRPM: http://patches.fedorapeople.org/npm/node-gyp-0.8.2-3.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4854270
Comment 8 Miro Hrončok 2013-01-17 06:26:44 EST
Description and Summary OK.

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces.

$ rpmlint ../SRPMS/node-gyp-0.8.2-3.fc18.src.rpm ../RPMS/noarch/node-gyp-0.8.2-3.fc18.noarch.rpm
node-gyp.src: W: spelling-error Summary(en_US) js -> dis, ks, j
node-gyp.src: W: spelling-error Summary(en_US) addon -> ad don, ad-don, add on
node-gyp.src: W: spelling-error %description -l en_US js -> dis, ks, j
node-gyp.src: W: spelling-error %description -l en_US addon -> ad don, ad-don, add on
node-gyp.src: W: spelling-error %description -l en_US waf -> wad, wag, waif
node-gyp.noarch: E: devel-dependency libuv-devel
node-gyp.noarch: E: explicit-lib-dependency libuv-devel
node-gyp.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
node-gyp.noarch: W: spelling-error Summary(en_US) addon -> ad don, ad-don, add on
node-gyp.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
node-gyp.noarch: W: spelling-error %description -l en_US addon -> ad don, ad-don, add on
node-gyp.noarch: W: spelling-error %description -l en_US waf -> wad, wag, waif
node-gyp.noarch: W: only-non-binary-in-usr-lib
node-gyp.noarch: W: dangling-symlink /usr/lib/node_modules/node-gyp/node_modules/graceful-fs /usr/lib/node_modules/graceful-fs
node-gyp.noarch: W: dangling-symlink /usr/lib/node_modules/node-gyp/node_modules/mkdirp /usr/lib/node_modules/mkdirp
node-gyp.noarch: W: dangling-symlink /usr/lib/node_modules/node-gyp/node_modules/rimraf /usr/lib/node_modules/rimraf
node-gyp.noarch: W: dangling-symlink /usr/lib/node_modules/node-gyp/node_modules/semver /usr/lib/node_modules/semver
node-gyp.noarch: W: dangling-symlink /usr/lib/node_modules/node-gyp/node_modules/npmlog /usr/lib/node_modules/npmlog
node-gyp.noarch: W: dangling-symlink /usr/lib/node_modules/node-gyp/node_modules/glob /usr/lib/node_modules/glob
node-gyp.noarch: W: dangling-symlink /usr/lib/node_modules/node-gyp/node_modules/minimatch /usr/lib/node_modules/minimatch
node-gyp.noarch: W: dangling-symlink /usr/lib/node_modules/node-gyp/node_modules/request /usr/lib/node_modules/request
node-gyp.noarch: W: dangling-symlink /usr/lib/node_modules/node-gyp/node_modules/nopt /usr/lib/node_modules/nopt
node-gyp.noarch: W: dangling-symlink /usr/lib/node_modules/node-gyp/node_modules/tar /usr/lib/node_modules/tar
node-gyp.noarch: W: dangling-symlink /usr/lib/node_modules/node-gyp/node_modules/which /usr/lib/node_modules/which
node-gyp.noarch: W: dangling-symlink /usr/lib/node_modules/node-gyp/node_modules/fstream /usr/lib/node_modules/fstream
node-gyp.noarch: W: dangling-symlink /usr/lib/node_modules/node-gyp/node_modules/osenv /usr/lib/node_modules/osenv
node-gyp.noarch: W: no-manual-page-for-binary node-gyp
2 packages and 0 specfiles checked; 2 errors, 25 warnings.


Symlinks OK, package requires targets.
Devel errors don't apply, as this is a compiler.

TODO: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

All others false positives.

MUST: The package must be named according to the Package Naming Guidelines.

As this is an application and not just a module, nodejs- prefix is not used. OK

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. OK
MUST: The package must meet the Packaging Guidelines. OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license.

Checked in LICENSE: MIT, OK.

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. OK
MUST: The spec file must be written in American English. OK
MUST: The spec file for the package MUST be legible. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

$ sha256sum ../SOURCES/node-gyp-0.8.2.tgz 
4346df23bffec9ad3b42c8e138d08fbba2864a76d2fb67477001f6190d19a23c  ../SOURCES/node-gyp-0.8.2.tgz
$ spectool -g node-gyp.spec 
Getting http://registry.npmjs.org/node-gyp/-/node-gyp-0.8.2.tgz to ./node-gyp-0.8.2.tgz
$ sha256sum node-gyp-0.8.2.tgz 
4346df23bffec9ad3b42c8e138d08fbba2864a76d2fb67477001f6190d19a23c  node-gyp-0.8.2.tgz

OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. OK, build in mock
MUST: Packages must NOT bundle copies of system libraries.

There is a patch for that. OK

MUST: A package must own all directories that it creates. OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. OK
MUST: Permissions on files must be set properly.

$ rpm -q -lv -p ../RPMS/noarch/node-gyp-0.8.2-3.fc18.noarch.rpm 
lrwxrwxrwx    1 root    root                       44 led 17 09:15 /usr/bin/node-gyp -> ../lib/node_modules/node-gyp/bin/node-gyp.js
drwxr-xr-x    2 root    root                        0 led 17 09:15 /usr/lib/node_modules/node-gyp
-rw-r--r--    1 root    root                      995 led 17 09:15 /usr/lib/node_modules/node-gyp/addon-rpm.gypi
-rw-r--r--    1 root    root                     1058 lis 11 22:44 /usr/lib/node_modules/node-gyp/addon.gypi
drwxr-xr-x    2 root    root                        0 led 17 09:15 /usr/lib/node_modules/node-gyp/bin
-rwxr-xr-x    1 root    root                     3082 čec 31 19:43 /usr/lib/node_modules/node-gyp/bin/node-gyp.js
drwxr-xr-x    2 root    root                        0 led 17 09:15 /usr/lib/node_modules/node-gyp/legacy
-rw-r--r--    1 root    root                     7158 lis 15 01:37 /usr/lib/node_modules/node-gyp/legacy/common.gypi
drwxr-xr-x    2 root    root                        0 led 17 09:15 /usr/lib/node_modules/node-gyp/lib
-rw-r--r--    1 root    root                     8962 pro 11 17:52 /usr/lib/node_modules/node-gyp/lib/build.js
-rw-r--r--    1 root    root                      378 čen 29  2012 /usr/lib/node_modules/node-gyp/lib/clean.js
-rw-r--r--    1 root    root                    12812 led 17 09:15 /usr/lib/node_modules/node-gyp/lib/configure.js
-rw-r--r--    1 root    root                    12401 pro 21 21:15 /usr/lib/node_modules/node-gyp/lib/install.js
-rw-r--r--    1 root    root                      718 čec 17  2012 /usr/lib/node_modules/node-gyp/lib/list.js
-rw-r--r--    1 root    root                     4891 říj  2 20:27 /usr/lib/node_modules/node-gyp/lib/node-gyp.js
-rw-r--r--    1 root    root                      335 čec 17  2012 /usr/lib/node_modules/node-gyp/lib/rebuild.js
-rw-r--r--    1 root    root                     1414 čec 31 22:48 /usr/lib/node_modules/node-gyp/lib/remove.js
drwxr-xr-x    2 root    root                        0 led 17 09:15 /usr/lib/node_modules/node-gyp/node_modules
lrwxrwxrwx    1 root    root                       29 led 17 09:15 /usr/lib/node_modules/node-gyp/node_modules/fstream -> /usr/lib/node_modules/fstream
lrwxrwxrwx    1 root    root                       26 led 17 09:15 /usr/lib/node_modules/node-gyp/node_modules/glob -> /usr/lib/node_modules/glob
lrwxrwxrwx    1 root    root                       33 led 17 09:15 /usr/lib/node_modules/node-gyp/node_modules/graceful-fs -> /usr/lib/node_modules/graceful-fs
lrwxrwxrwx    1 root    root                       31 led 17 09:15 /usr/lib/node_modules/node-gyp/node_modules/minimatch -> /usr/lib/node_modules/minimatch
lrwxrwxrwx    1 root    root                       28 led 17 09:15 /usr/lib/node_modules/node-gyp/node_modules/mkdirp -> /usr/lib/node_modules/mkdirp
lrwxrwxrwx    1 root    root                       26 led 17 09:15 /usr/lib/node_modules/node-gyp/node_modules/nopt -> /usr/lib/node_modules/nopt
lrwxrwxrwx    1 root    root                       28 led 17 09:15 /usr/lib/node_modules/node-gyp/node_modules/npmlog -> /usr/lib/node_modules/npmlog
lrwxrwxrwx    1 root    root                       27 led 17 09:15 /usr/lib/node_modules/node-gyp/node_modules/osenv -> /usr/lib/node_modules/osenv
lrwxrwxrwx    1 root    root                       29 led 17 09:15 /usr/lib/node_modules/node-gyp/node_modules/request -> /usr/lib/node_modules/request
lrwxrwxrwx    1 root    root                       28 led 17 09:15 /usr/lib/node_modules/node-gyp/node_modules/rimraf -> /usr/lib/node_modules/rimraf
lrwxrwxrwx    1 root    root                       28 led 17 09:15 /usr/lib/node_modules/node-gyp/node_modules/semver -> /usr/lib/node_modules/semver
lrwxrwxrwx    1 root    root                       25 led 17 09:15 /usr/lib/node_modules/node-gyp/node_modules/tar -> /usr/lib/node_modules/tar
lrwxrwxrwx    1 root    root                       27 led 17 09:15 /usr/lib/node_modules/node-gyp/node_modules/which -> /usr/lib/node_modules/which
-rw-r--r--    1 root    root                      976 led 17 09:15 /usr/lib/node_modules/node-gyp/package.json
drwxr-xr-x    2 root    root                        0 led 17 09:15 /usr/share/doc/node-gyp-0.8.2
-rw-r--r--    1 root    root                     1102 čen 29  2012 /usr/share/doc/node-gyp-0.8.2/LICENSE
-rw-r--r--    1 root    root                     5957 lis  4 22:09 /usr/share/doc/node-gyp-0.8.2/README.md

OK

MUST: Each package must consistently use macros. OK
MUST: The package must contain code, or permissable content. OK
MUST: If a package includes something as %doc, it must not affect the runtime of the application. OK
MUST: Packages must not own files or directories already owned by other packages. OK
MUST: All filenames in rpm packages must be valid UTF-8. OK

SHOULD: The reviewer should test that the package builds in mock. OK
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. OK

Package APPROVED. Consider working with upstream on a manpage.
Comment 9 T.C. Hollingsworth 2013-01-18 04:50:49 EST
New Package SCM Request
=======================
Package Name: node-gyp
Short Description: Node.js native module build tool
Owners: patches
Branches: f18 el6
InitialCC:
Comment 10 Jon Ciesla 2013-01-18 06:56:30 EST
Git done (by process-git-requests).
Comment 11 T.C. Hollingsworth 2013-01-19 04:22:57 EST
Built for rawhide:
http://koji.fedoraproject.org/koji/buildinfo?buildID=379337
Comment 12 Fedora Update System 2013-01-19 04:55:37 EST
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-async-0.1.22-3.fc18, nodejs-glob-3.1.14-2.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-graceful-fs-1.1.14-2.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-read-installed-0.0.4-2.fc18, nodejs-read-package-json-0.1.12-2.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-rimraf-2.1.1-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-nopt-2.0.0-3.fc18, nodejs-lru-cache-2.2.1-2.fc18, nodejs-mime-1.2.7-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-fstream-0.1.21-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-npm-registry-client-0.2.11-2.fc18, nodejs-form-data-0.0.6-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-lockfile-0.2.1-2.fc18, nodejs-ini-1.0.5-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-config-chain-1.1.3-3.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmconf-0.0.16-3.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18, node-gyp-0.8.2-3.fc18, nodejs-tar-0.1.14-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-0775/nodejs-abbrev-1.0.4-2.fc18,nodejs-ansi-0.1.2-4.fc18,nodejs-async-0.1.22-3.fc18,nodejs-glob-3.1.14-2.fc18,nodejs-inherits-1.0.0-6.fc18,nodejs-graceful-fs-1.1.14-2.fc18,nodejs-minimatch-0.2.9-2.fc18,nodejs-mkdirp-0.3.4-2.fc18,nodejs-mute-stream-0.0.3-3.fc18,nodejs-read-1.0.4-4.fc18,nodejs-read-installed-0.0.4-2.fc18,nodejs-read-package-json-0.1.12-2.fc18,nodejs-retry-0.6.0-2.fc18,nodejs-rimraf-2.1.1-2.fc18,nodejs-slide-1.1.3-4.fc18,nodejs-uid-number-0.0.3-4.fc18,nodejs-sigmund-1.0.0-2.fc18,nodejs-osenv-0.0.3-2.fc18,nodejs-nopt-2.0.0-3.fc18,nodejs-lru-cache-2.2.1-2.fc18,nodejs-mime-1.2.7-2.fc18,nodejs-init-package-json-0.0.7-3.fc18,nodejs-fstream-0.1.21-3.fc18,nodejs-delayed-stream-0.0.5-2.fc18,nodejs-proto-list-1.2.2-2.fc18,nodejs-npm-registry-client-0.2.11-2.fc18,nodejs-form-data-0.0.6-2.fc18,nodejs-which-1.0.5-4.fc18,nodejs-chownr-0.0.1-6.fc18,nodejs-opts-1.2.2-2.fc18,nodejs-yamlish-0.0.5-1.fc18,nodejs-once-1.1.1-2.fc18,nodejs-lockfile-0.2.1-2.fc18,nodejs-ini-1.0.5-2.fc18,nodejs-couch-login-0.1.15-2.fc18,nodejs-archy-0.0.2-5.fc18,nodejs-block-stream-0.0.6-4.fc18,nodejs-config-chain-1.1.3-3.fc18,nodejs-fstream-npm-0.1.3-2.fc18,nodejs-npmconf-0.0.16-3.fc18,nodejs-npmlog-0.0.2-2.fc18,nodejs-charm-0.1.0-1.fc18,node-gyp-0.8.2-3.fc18,nodejs-tar-0.1.14-3.fc18
Comment 13 T.C. Hollingsworth 2013-01-28 20:05:49 EST
Reopening bugs that still have missing deps so they aren't hidden in the root bug's tree.
Comment 14 Fedora Update System 2013-01-29 19:45:53 EST
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-async-0.1.22-3.fc18, nodejs-glob-3.1.14-2.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-graceful-fs-1.1.14-2.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-read-installed-0.0.4-2.fc18, nodejs-read-package-json-0.1.12-2.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-rimraf-2.1.1-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-nopt-2.0.0-3.fc18, nodejs-lru-cache-2.2.1-2.fc18, nodejs-mime-1.2.7-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-fstream-0.1.21-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-npm-registry-client-0.2.11-2.fc18, nodejs-form-data-0.0.6-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-lockfile-0.2.1-2.fc18, nodejs-ini-1.0.5-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-config-chain-1.1.3-3.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmconf-0.0.16-3.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18, node-gyp-0.8.2-3.fc18, nodejs-tar-0.1.14-3.fc18, npm-1.2.1-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-semver-1.1.2-1.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-fstream-ignore-0.0.5-4.fc18 has been pushed to the Fedora 18 testing repository.
Comment 15 Fedora Update System 2013-02-01 12:40:22 EST
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-async-0.1.22-3.fc18, nodejs-glob-3.1.14-2.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-graceful-fs-1.1.14-2.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-read-installed-0.0.4-2.fc18, nodejs-read-package-json-0.1.12-2.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-rimraf-2.1.1-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-nopt-2.0.0-3.fc18, nodejs-lru-cache-2.2.1-2.fc18, nodejs-mime-1.2.7-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-fstream-0.1.21-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-npm-registry-client-0.2.11-2.fc18, nodejs-form-data-0.0.6-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-lockfile-0.2.1-2.fc18, nodejs-ini-1.0.5-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-config-chain-1.1.3-3.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmconf-0.0.16-3.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18, node-gyp-0.8.2-3.fc18, nodejs-tar-0.1.14-3.fc18, npm-1.2.1-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-semver-1.1.2-1.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-fstream-ignore-0.0.5-4.fc18, nodejs-request-2.12.0-5.fc18 has been pushed to the Fedora 18 testing repository.
Comment 16 Fedora Update System 2013-02-03 08:36:15 EST
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-async-0.1.22-3.fc18, nodejs-glob-3.1.14-2.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-graceful-fs-1.1.14-2.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-read-installed-0.0.4-2.fc18, nodejs-read-package-json-0.1.12-2.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-rimraf-2.1.1-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-nopt-2.0.0-3.fc18, nodejs-lru-cache-2.2.1-2.fc18, nodejs-mime-1.2.7-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-fstream-0.1.21-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-npm-registry-client-0.2.11-2.fc18, nodejs-form-data-0.0.6-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-lockfile-0.2.1-2.fc18, nodejs-ini-1.0.5-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-config-chain-1.1.3-3.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmconf-0.0.16-3.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18, node-gyp-0.8.2-3.fc18, nodejs-tar-0.1.14-3.fc18, npm-1.2.1-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-semver-1.1.2-1.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-fstream-ignore-0.0.5-4.fc18, nodejs-request-2.12.0-5.fc18, nodejs-promzard-0.2.0-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 17 Fedora Update System 2013-02-09 23:35:20 EST
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-request-2.12.0-5.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-async-0.2.4-1.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-form-data-0.0.6-3.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-glob-3.1.20-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-npm-registry-client-0.2.13-2.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-read-package-json-0.1.13-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-semver-1.1.3-1.fc18, nodejs-tar-0.1.16-1.fc18, node-gyp-0.8.4-1.fc18, npm-1.2.10-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 18 Fedora Update System 2013-02-12 00:23:04 EST
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-request-2.12.0-5.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-async-0.2.4-1.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-glob-3.1.20-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-npm-registry-client-0.2.13-2.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-read-package-json-0.1.13-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-semver-1.1.3-1.fc18, nodejs-tar-0.1.16-1.fc18, node-gyp-0.8.4-1.fc18, npm-1.2.10-1.fc18, nodejs-form-data-0.0.6-4.fc18 has been pushed to the Fedora 18 testing repository.
Comment 19 Fedora Update System 2013-02-13 21:40:34 EST
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-request-2.12.0-5.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-glob-3.1.20-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-semver-1.1.3-1.fc18, nodejs-tar-0.1.16-1.fc18, node-gyp-0.8.4-1.fc18, nodejs-async-0.2.5-1.fc18, nodejs-form-data-0.0.7-1.fc18, nodejs-npm-registry-client-0.2.15-1.fc18, nodejs-read-package-json-0.2.0-1.fc18, npm-1.2.10-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 20 Fedora Update System 2013-04-05 19:17:10 EDT
node-gyp-0.9.1-2.fc18, nodejs-async-0.2.6-1.fc18, nodejs-chmodr-0.1.0-2.fc18, nodejs-fstream-npm-0.1.4-1.fc18, nodejs-glob-3.1.21-1.fc18, nodejs-minimatch-0.2.11-1.fc18, nodejs-mkdirp-0.3.5-1.fc18, nodejs-npm-registry-client-0.2.18-2.fc18, nodejs-read-package-json-0.2.2-1.fc18, nodejs-request-2.14.0-1.fc18, nodejs-semver-1.1.4-1.fc18, npm-1.2.14-2.fc18, nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-tar-0.1.16-1.fc18, nodejs-form-data-0.0.7-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.